Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class DefaultDataTypeAnalyzer

    java.lang.Object
      org.apache.tapestry5.internal.services.DefaultDataTypeAnalyzer

All Implemented Interfaces:
  DataTypeAnalyzer, InvalidationListener

    public class DefaultDataTypeAnalyzer

extends java.lang.Object
implements DataTypeAnalyzer, InvalidationListener

The default data type analyzer, which is based entirely on the type of the property (and not on annotations or naming conventions). This is based on a configuration of property type class to string provided as an IoC service configuration.

Constructor Summary
`DefaultDataTypeAnalyzer(java.util.Map<java.lang.Class,java.lang.String> configuration)`

Method Summary
`java.lang.String` | `identifyDataType(PropertyAdapter adapter)` Identifies the data type, if known, or returns null if not known.
`void` | `objectWasInvalidated()` Clears the registry on an invalidation event (this is because the registry caches results, and the keys are classes that may be component classes from the invalidated component class loader).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDataTypeAnalyzer

    public DefaultDataTypeAnalyzer(java.util.Map<java.lang.Class,java.lang.String> configuration)

Method Detail

### objectWasInvalidated

    public void objectWasInvalidated()

  Clears the registry on an invalidation event (this is because the registry caches results, and the keys are classes that may be component classes from the invalidated component class loader).

  Specified by:
    `objectWasInvalidated` in interface `InvalidationListener`

### identifyDataType

    public java.lang.String identifyDataType(PropertyAdapter adapter)

  Description copied from interface: `DataTypeAnalyzer`
  Identifies the data type, if known, or returns null if not known.

  Specified by:
    `identifyDataType` in interface `DataTypeAnalyzer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.